// $Id: collisions.h,v 1.4 2006/08/05 09:08:58 matthew Exp $

//  Fish Supper
//  Copyright (C) 2006 Matthew Clarke <matthew_larcke@lycos.co.uk>
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.




#ifndef _COLLISIONS_H_
#define _COLLISIONS_H_




#include "SDL.h"




class Collisions
{
    public:
            
        static bool intersects( const SDL_Rect & s1_box, const SDL_Rect & s2_box );
    
        // Returns true if s1 contains s2, else false.
        static bool contains( const SDL_Rect & s1_box, const SDL_Rect & s2_box );
    
}; // class Collisions




#endif
 
